net.dontdrinkandroot.wicket.model.progress

## Class ProgressMonitorMessageModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractChainedModel<net.dontdrinkandroot.utils.progressmonitor.ProgressMonitor,String>
  - - net.dontdrinkandroot.wicket.model.progress.ProgressMonitorMessageModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<String>, org.apache.wicket.util.io.IClusterable

    public class ProgressMonitorMessageModel
    extends net.dontdrinkandroot.wicket.model.AbstractChainedModel<net.dontdrinkandroot.utils.progressmonitor.ProgressMonitor,String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProgressMonitorMessageModel(org.apache.wicket.model.IModel<? extends net.dontdrinkandroot.utils.progressmonitor.ProgressMonitor> parent)`

### Method Summary

Methods
`String` `getObject()`

### Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel

`detach, getParent, getParentObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressMonitorMessageModel

    public ProgressMonitorMessageModel(org.apache.wicket.model.IModel<? extends net.dontdrinkandroot.utils.progressmonitor.ProgressMonitor> parent)

### Method Detail

#### getObject

    public String getObject()